package com.ruoyi.gysl.mapper;

import com.ruoyi.gysl.entity.Ml;
import org.mapstruct.Mapper;

import java.util.List;
/**
 * 目录(Ml)表数据库访问层
 */
@Mapper
public interface MlMapper {
    /**
     * 查询分页信息
     *
     * @param ml 查询条件实体
     * @return 目录数据列表
     */
    List<Ml> selectMlList(Ml ml);
    /**
     * 查询目录单条信息
     *
     * @param id 查询条件
     * @return 目录单条数据
     */
    Ml selectMlById(Integer id);
    /**
     * 增加目录
     *
     * @param ml 数据
     * @return 新增结果
     */
    int save(Ml ml);
    /**
     * 修改目录
     *
     * @param ml 数据
     * @return 修改结果
     */
    int updateMl(Ml ml);
    /**
     * 删除目录
     * @param id 数据
     * @return 删除结果
     */
    int deleteml(Integer id);
}
